<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.7.15</version>
    </parent>

    <groupId>com.sunyard.chsm</groupId>
    <artifactId>chsm</artifactId>
    <version>1.0-SNAPSHOT</version>
    <modules>
        <module>chsm-web-server</module>
        <module>chsm-params</module>
        <module>chsm-web-manage</module>
        <module>chsm-common</module>
    </modules>

    <modelVersion>4.0.0</modelVersion>
    <packaging>pom</packaging>


    <properties>
        <bcprov.version>1.79</bcprov.version>
        <spring-boot.version>2.7.15</spring-boot.version>

        <java.version>1.8</java.version>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.compiler.compilerVersion>1.8</maven.compiler.compilerVersion>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

    </dependencies>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.sunyard</groupId>
                <artifactId>proto</artifactId>
                <version>1.0.20221215</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-core</artifactId>
                <version>5.8.4</version>
            </dependency>
            <dependency>
                <groupId>net.java.dev.jna</groupId>
                <artifactId>jna</artifactId>
                <version>5.5.0</version>
            </dependency>
            <dependency>
                <groupId>com.dm</groupId>
                <artifactId>DmJdbcDriver</artifactId>
                <version>1.8</version>
            </dependency>
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>0.9.1</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>3.5.5</version>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk18on</artifactId>
                <version>${bcprov.version}</version>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcpkix-jdk18on</artifactId>
                <version>${bcprov.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <repositories>
        <repository>
            <id>nexus-sunyard</id>
            <name>nexus-sunyard</name>
            <url>http://172.16.17.15:8081/repository/maven-public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
            </snapshots>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <id>nexus-sunyard</id>
            <name>nexus-sunyard</name>
            <url>http://172.16.17.15:8081/repository/maven-public/</url>
        </pluginRepository>
    </pluginRepositories>

    <distributionManagement>
        <snapshotRepository>
            <id>nexus-sunyard</id>
            <name>repo-snapshot</name>
            <url>http://172.16.17.15:8081/repository/maven-snapshots</url>
        </snapshotRepository>
        <repository>
            <id>nexus-sunyard</id>
            <name>repo-release</name>
            <url>http://172.16.17.15:8081/repository/maven-releases</url>
        </repository>
    </distributionManagement>
</project>
